cURL
curl --request GET \
--url https://api.concentrate.ai/v1/models/{model}/providers/{provider}import requests
url = "https://api.concentrate.ai/v1/models/{model}/providers/{provider}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.concentrate.ai/v1/models/{model}/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.concentrate.ai/v1/models/{model}/providers/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.concentrate.ai/v1/models/{model}/providers/{provider}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.concentrate.ai/v1/models/{model}/providers/{provider}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.concentrate.ai/v1/models/{model}/providers/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"provider_slug": "<string>",
"pricing": [
{
"tokens": {
"input": {
"price": {
"USD": 1
},
"units": 1
},
"output": {
"price": {
"USD": 1
},
"units": 1
},
"reasoning": {
"price": {
"USD": 1
},
"units": 1
},
"cache": {
"read": {
"price": {
"USD": 1
},
"units": 1
},
"write": {}
}
},
"condition": {
"description": "<string>",
"schedule": {
"utc_hours": [
[
12
]
],
"weekdays": [
3
],
"exclude_dates": "cn_holidays"
},
"date_gte": 123,
"time_gte": 123,
"input_gte": 123,
"cache_read_gte": 123,
"cache_write_gte": 123,
"output_gte": 123,
"reasoning_gte": 123,
"service_tier": "auto"
},
"tool_calls": {
"web_search": {
"price": {
"USD": 1
},
"units": 1
},
"exa_web_search": {
"price": {
"USD": 1
},
"units": 1
}
}
}
],
"context_window": 1,
"max_output_tokens": 1,
"zdr": false,
"certifications": [
"soc2_type1"
],
"supports": {
"endpoint": {
"chat": true,
"decisions": false
},
"background": false,
"context_management": false,
"conversation": false,
"include": {
"file_search_call.results": false,
"web_search_call.results": false,
"web_search_call.action.sources": false,
"message.input_image.image_url": false,
"computer_call_output.output.image_url": false,
"code_interpreter_call.outputs": false,
"reasoning.encrypted_content": false,
"message.output_text.logprobs": false
},
"input": {
"additional_tools": false,
"agent_message": false,
"text": true,
"image": {
"png": false,
"jpg": false,
"webp": false,
"gif": false
},
"file": {
"pdf": false
}
},
"instructions": false,
"max_output_tokens": false,
"max_tool_calls": false,
"metadata": false,
"parallel_tool_calls": false,
"prediction": false,
"previous_response_id": false,
"prompt": false,
"prompt_cache_breakpoint": false,
"prompt_cache_key": false,
"prompt_cache_options": false,
"prompt_cache_retention": false,
"reasoning": {
"effort": {
"none": false,
"minimal": false,
"low": false,
"medium": false,
"high": false,
"xhigh": false,
"max": false
}
},
"safety_identifier": false,
"service_tier": {},
"stop": false,
"store": false,
"stream": false,
"stream_options": {
"include_obfuscation": true
},
"temperature": false,
"text": {
"verbosity": true,
"format": {
"text": true,
"json_schema": true,
"json_object": true
}
},
"tools": {
"function_calling": false,
"web_search": false,
"custom_tools": false,
"namespaces": false
},
"tool_choice": {
"none": false,
"auto": false,
"required": false,
"specific_tool": false,
"allowed_tools": false
},
"top_logprobs": false,
"top_p": false,
"truncation": false,
"user": false
},
"deprecated_at": 123,
"release_date": 123,
"quantization": "<string>",
"baa": true,
"caching": {
"ttl": [
"<string>"
]
},
"image_processing": {
"supported_formats": [
"png"
],
"size_mb": {
"max_total": 123,
"max_per_image": 123
},
"max_images_per_request": 123,
"max_pixels": 123,
"max_dimension": 123
},
"pdf_processing": {
"mode": "native",
"supported_formats": [
"pdf"
],
"size_mb": {
"max_total": 123,
"max_per_file": 123
},
"max_pages_per_request": 123,
"max_files_per_request": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Models API
Get Provider Info
Get provider-specific information for a model
GET
/
v1
/
models
/
{model}
/
providers
/
{provider}
cURL
curl --request GET \
--url https://api.concentrate.ai/v1/models/{model}/providers/{provider}import requests
url = "https://api.concentrate.ai/v1/models/{model}/providers/{provider}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.concentrate.ai/v1/models/{model}/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.concentrate.ai/v1/models/{model}/providers/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.concentrate.ai/v1/models/{model}/providers/{provider}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.concentrate.ai/v1/models/{model}/providers/{provider}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.concentrate.ai/v1/models/{model}/providers/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"provider_slug": "<string>",
"pricing": [
{
"tokens": {
"input": {
"price": {
"USD": 1
},
"units": 1
},
"output": {
"price": {
"USD": 1
},
"units": 1
},
"reasoning": {
"price": {
"USD": 1
},
"units": 1
},
"cache": {
"read": {
"price": {
"USD": 1
},
"units": 1
},
"write": {}
}
},
"condition": {
"description": "<string>",
"schedule": {
"utc_hours": [
[
12
]
],
"weekdays": [
3
],
"exclude_dates": "cn_holidays"
},
"date_gte": 123,
"time_gte": 123,
"input_gte": 123,
"cache_read_gte": 123,
"cache_write_gte": 123,
"output_gte": 123,
"reasoning_gte": 123,
"service_tier": "auto"
},
"tool_calls": {
"web_search": {
"price": {
"USD": 1
},
"units": 1
},
"exa_web_search": {
"price": {
"USD": 1
},
"units": 1
}
}
}
],
"context_window": 1,
"max_output_tokens": 1,
"zdr": false,
"certifications": [
"soc2_type1"
],
"supports": {
"endpoint": {
"chat": true,
"decisions": false
},
"background": false,
"context_management": false,
"conversation": false,
"include": {
"file_search_call.results": false,
"web_search_call.results": false,
"web_search_call.action.sources": false,
"message.input_image.image_url": false,
"computer_call_output.output.image_url": false,
"code_interpreter_call.outputs": false,
"reasoning.encrypted_content": false,
"message.output_text.logprobs": false
},
"input": {
"additional_tools": false,
"agent_message": false,
"text": true,
"image": {
"png": false,
"jpg": false,
"webp": false,
"gif": false
},
"file": {
"pdf": false
}
},
"instructions": false,
"max_output_tokens": false,
"max_tool_calls": false,
"metadata": false,
"parallel_tool_calls": false,
"prediction": false,
"previous_response_id": false,
"prompt": false,
"prompt_cache_breakpoint": false,
"prompt_cache_key": false,
"prompt_cache_options": false,
"prompt_cache_retention": false,
"reasoning": {
"effort": {
"none": false,
"minimal": false,
"low": false,
"medium": false,
"high": false,
"xhigh": false,
"max": false
}
},
"safety_identifier": false,
"service_tier": {},
"stop": false,
"store": false,
"stream": false,
"stream_options": {
"include_obfuscation": true
},
"temperature": false,
"text": {
"verbosity": true,
"format": {
"text": true,
"json_schema": true,
"json_object": true
}
},
"tools": {
"function_calling": false,
"web_search": false,
"custom_tools": false,
"namespaces": false
},
"tool_choice": {
"none": false,
"auto": false,
"required": false,
"specific_tool": false,
"allowed_tools": false
},
"top_logprobs": false,
"top_p": false,
"truncation": false,
"user": false
},
"deprecated_at": 123,
"release_date": 123,
"quantization": "<string>",
"baa": true,
"caching": {
"ttl": [
"<string>"
]
},
"image_processing": {
"supported_formats": [
"png"
],
"size_mb": {
"max_total": 123,
"max_per_image": 123
},
"max_images_per_request": 123,
"max_pixels": 123,
"max_dimension": 123
},
"pdf_processing": {
"mode": "native",
"supported_formats": [
"pdf"
],
"size_mb": {
"max_total": 123,
"max_per_file": 123
},
"max_pages_per_request": 123,
"max_files_per_request": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Overview
Retrieve provider-specific configuration for a model, including pricing per million tokens, context window limits, maximum output tokens, and supported features. Use this endpoint to get precise details about how a specific provider implements a particular model.Authentication
This endpoint does not require authentication. You can call it without an API key.
Path Parameters
A model slug from /v1/models
One of 90 allowed values.
Response
Default Response
One of 31 allowed values.
Show child attributes
Show child attributes
Required range:
x > 0Required range:
x > 0Available options:
false Available options:
soc2_type1, soc2_type2, iso27001, iso27701, iso42001, fedramp Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 8, 2026
Was this page helpful?

